Subject: bug#32452: 26.1; gnutls_try_handshake maxes out cpu retrying when server is a bit busy

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Aug 2018 16:41:20 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Thu, 16 Aug 2018 08:13:40 -0400
> 
> Recently the debbugs.gnu.org server is slow to respond.  I notice this
> both when opening bug reports in Firefox, and from Emacs.  However,
> Emacs uses 100% cpu while waiting for the server.  I added a message
> call in gnutls_try_handshake (see patch below), and got "gnutls
> non-fatal: Resource temporarily unavailable, try again. [190088 times]"
> in *Messages*.  This was from doing M-x gnus-read-ephemeral-bug-group,
> it took 5 or 10 seconds to (eventually successfully) complete.

Does anything change if you disable asynchronous DNS and connection
establishment?